Bug 1618805 - CloudForms tries to collect metrics from OCP despite not being configured for it
Summary: CloudForms tries to collect metrics from OCP despite not being configured for it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Greg Blomquist
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1610449
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-17 16:13 UTC by Satoe Imaishi
Modified: 2018-11-05 13:58 UTC (History)
15 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1610449
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC
Red Hat Knowledge Base (Solution) 3548701 None None None 2018-08-17 16:14:16 UTC

Comment 2 CFME Bot 2018-09-11 20:21:33 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/3970140bafa2411db17e5d4ef31845aafb58beba
commit 3970140bafa2411db17e5d4ef31845aafb58beba
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Aug  9 10:56:49 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Aug  9 10:56:49 2018 -0400

    Merge pull request #17820 from agrare/bz_1610449_dont_queue_capture_targets_if_ems_doesnt_support_metrics

    Don't queue metrics capture if metrics unsupported
    (cherry picked from commit 6439a450f1818cad5a3282d5d318531bcb41d6a0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618805

 app/models/manageiq/providers/container_manager.rb | 5 +
 app/models/metric/targets.rb | 2 +
 2 files changed, 7 insertions(+)

Comment 4 Matouš Mojžíš 2018-10-22 17:14:08 UTC
Verified in 5.9.5.2. There is no information in logs about collecting metrics(enabled C&U roles) from OCP provider which has metrics disabled.

Comment 6 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.